<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:paddingTop="8dp">

    <de.hdodenhof.circleimageview.CircleImageView
        android:id="@+id/image_message_profile"
        android:layout_width="32dp"
        android:layout_height="32dp"
        android:src="@drawable/employee_img"
        app:layout_constraintTop_toTopOf="parent"
        android:layout_marginLeft="8dp"
        app:layout_constraintLeft_toLeftOf="parent" />

    <TextView
        android:id="@+id/text_message_name"
        android:text="-"
        android:fontFamily="@font/lato_regular"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textColor="#000"
        android:textSize="14sp"
        android:textStyle="bold"
        app:layout_constraintLeft_toRightOf="@+id/image_message_profile"
        android:layout_marginLeft="8dp"
        app:layout_constraintTop_toTopOf="parent"
        android:layout_marginTop="4dp" />

    <RelativeLayout
        android:layout_width="wrap_content"
        android:layout_height="30dp"
        android:layout_marginLeft="2dp"
        android:gravity="center"
        app:layout_constraintBottom_toTopOf="@+id/text_message_body"
        app:layout_constraintStart_toEndOf="@+id/text_message_name"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:id="@+id/jabatanLevel1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingLeft="5dp"
            android:paddingRight="5dp"
            android:paddingBottom="3dp"
            android:visibility="invisible"
            android:paddingTop="3dp"
            android:background="@drawable/round_jabatan_level1"
            android:text="Jabatan"
            android:textColor="#ffffff"
            android:textSize="8sp" />

        <TextView
            android:id="@+id/jabatanLevel2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingLeft="5dp"
            android:paddingRight="5dp"
            android:visibility="invisible"
            android:paddingBottom="3dp"
            android:paddingTop="3dp"
            android:background="@drawable/round_jabatan_level2"
            android:text="Jabatan"
            android:textColor="#ffffff"
            android:textSize="8sp" />

        <TextView
            android:id="@+id/jabatanLevel3"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingLeft="5dp"
            android:paddingRight="5dp"
            android:paddingBottom="3dp"
            android:visibility="invisible"
            android:paddingTop="3dp"
            android:background="@drawable/round_jabatan_level3"
            android:text="Jabatan"
            android:textColor="#ffffff"
            android:textSize="8sp" />

        <TextView
            android:id="@+id/jabatanLevel4"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingLeft="5dp"
            android:paddingRight="5dp"
            android:paddingBottom="3dp"
            android:visibility="invisible"
            android:paddingTop="3dp"
            android:background="@drawable/round_jabatan_newbie"
            android:text="Pengguna Baru"
            android:textColor="#ffffff"
            android:textSize="8sp" />
    </RelativeLayout>

    <TextView
        android:id="@+id/text_message_body"
        android:text="Null"
        android:background="@drawable/sender_message"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:maxWidth="240dp"
        android:textColor="#000"
        android:padding="8dp"
        android:fontFamily="@font/lato_regular"
        android:layout_marginTop="4dp"
        app:layout_constraintTop_toBottomOf="@+id/text_message_name"
        app:layout_constraintLeft_toRightOf="@+id/image_message_profile"
        android:layout_marginLeft="8dp" />

    <TextView
        android:id="@+id/text_message_time"
        android:text="11:40"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:textSize="10sp"
        app:layout_constraintLeft_toRightOf="@+id/text_message_body"
        android:layout_marginLeft="4dp"
        app:layout_constraintBottom_toBottomOf="@+id/text_message_body" />

</androidx.constraintlayout.widget.ConstraintLayout>